package domain;

/**
 * classe abstraite servant de base pour implanter des classes reprsentant
 * une heure de la journe avec diffrents choix de reprsentation.
 * 
 * Comme elle ne dclare aucune donne et ne dcrit aucune mthode pour les
 * oprations dclares, on peut qualifier cette classe de super abstraite
 * ( comparer avec une interface)
 * 
 * @see Time
 */
public abstract class BaseTime {
	public static int HOURS_PER_DAY = 24;
	public static int MINUTES_PER_HOUR = 60;
	public abstract int hour();
	public abstract int minute();
	public abstract void oneMinuteLater();
	public abstract void oneHourLater();
	public abstract void oneHourEarlier();
	public abstract void oneMinuteEarlier();
	public abstract String toString();
}
