package domain;

/**
 * interface spcifiant les oprations possibles sur des objets reprsentant
 * des heures de la journe
 * 
 * Une interface est toujours expose, elle ne spcifie donc rien de priv
 * et le qualificatif public y est inutile (c'est implicite).
 * 
 * Une interface peut dfinir des constantes.
 */
public interface Time {
	static int HOURS_PER_DAY = 24;
	static int MINUTES_PER_HOUR = 60;
	int hour();
	int minute();
	void oneMinuteLater();
	void oneHourLater();
	void oneHourEarlier();
	void oneMinuteEarlier();
	String toString();
}
